Debian Bug report logs - #385446
PTS: handling of udebs could be improved

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Max Vozeler <max@nusquama.org>

Date: Thu, 31 Aug 2006 10:48:12 UTC

Severity: normal

Done: Giovanni Mascellani <gio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-boot@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#385446; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Max Vozeler <max@nusquama.org>:
New Bug report received and forwarded. Copy sent to debian-boot@lists.debian.org, <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Max Vozeler <max@nusquama.org>
To: submit@bugs.debian.org
Subject: PTS: handling of udebs could be improved
Date: Thu, 31 Aug 2006 12:24:14 +0200
Package: qa.debian.org

Looking at packages.qa.debian.org/partman-crypto, there are two
points specific to udebs that could be improved. They would make
the page more useful (and correct) for udeb-only packages:

1. TODO and Problems warn about outdated Standards-Version. The
current practice for udeb-only packages is to not include a
Standards-Version header and to add a lintian source override for
no-standards-version-field.

2. Testing Status mentions that "partman-crypto has no binaries 
on any arch", which is not correct. It actually has one arch: any 
package and two with arch: all.

Thanks,
Max



Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#385446; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 385446@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Max Vozeler <max@nusquama.org>, 385446@bugs.debian.org
Subject: Re: Bug#385446: PTS: handling of udebs could be improved
Date: Thu, 31 Aug 2006 13:34:25 +0200
On Thu, Aug 31, 2006 at 12:24:14PM +0200, Max Vozeler wrote:
> Package: qa.debian.org
> 
> Looking at packages.qa.debian.org/partman-crypto, there are two
> points specific to udebs that could be improved. They would make
> the page more useful (and correct) for udeb-only packages:
> 
> 1. TODO and Problems warn about outdated Standards-Version. The
> current practice for udeb-only packages is to not include a
> Standards-Version header and to add a lintian source override for
> no-standards-version-field.

Two remarks on this:

- Adding a lintian override is wrong -- this isn't a very specific
  exception that can't be fixed in lintian, if it's indeed so decided,
  then lintian can easily not show this warning for udeb-only packages
- I understand it's current practice, however, I think it is an unneeded
  practice. S-V is only in source packages, not in binary packages, so
  space considerations do not apply.  Policy still applies where
  possible to udebs, with the understanding that udebs don't follow
  policy on points where there's good reason to do so. It'd be best if
  also policy is updated to actually make an exception for those areas.
  I'm not involved in d-i, but I do think it'd be best to stop this
  practice. Of course, if it's decided that udeb-only packages will not
  have such header anyway, then lintian and QA pages should be updated
  to understand this exception. Using overrides for this remains
  being a misuse of the override feature in either case.

> 2. Testing Status mentions that "partman-crypto has no binaries 
> on any arch", which is not correct. It actually has one arch: any 
> package and two with arch: all.

This is a "problem" (feature request if you so wish) in britney, the
testing scripts. Britney doesn't yet look at udebs at all, and actually
produces this 'error'. There's ongoing discussion on how to
improve/implement britney's handling of udeb-having packages, but
there is no change yet. The PTS could hide this output in the case of
udeb-only packages, or better, hide the message if it's exactly equal to
the one shown now to cope with improvements in britney. That's probably
best to reduce confusion.

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#385446; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 385446@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: debian-boot@lists.debian.org, 385446@bugs.debian.org
Subject: Re: [jeroen@wolffelaar.nl: Re: Bug#385446: PTS: handling of udebs could be improved]
Date: Fri, 15 Sep 2006 04:52:02 +0200
[Message part 1 (text/plain, inline)]
On Tuesday 05 September 2006 01:31, Max Vozeler wrote:
> - Adding a lintian override is wrong -- this isn't a very specific
>   exception that can't be fixed in lintian, if it's indeed so decided,
>   then lintian can easily not show this warning for udeb-only packages

I understood from Colin Watson that it is not all that easy to determine 
if a package contains _only_ udebs.
As having the lintian error was causing people to add back the S-V 
sometimes and as the error itself detracts from other (real) lintian 
warnings, I felt adding the override was useful.

> - I understand it's current practice, however, I think it is an
> unneeded practice. S-V is only in source packages, not in binary
> packages, so space considerations do not apply.  Policy still applies
> where possible to udebs, with the understanding that udebs don't follow
> policy on points where there's good reason to do so. It'd be best if
> also policy is updated to actually make an exception for those areas.

IMHO there is too little of policy that does apply to udebs to make it 
worth checking policy compliance. So adding S-V in the control file would 
probably only lead to us writing a script that would periodically do a 
blanket update for all udebs without actually checking anything.

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Giovanni Mascellani <gio@debian.org>:
You have taken responsibility. (Mon, 29 Aug 2011 06:12:03 GMT) Full text and rfc822 format available.

Notification sent to Max Vozeler <max@nusquama.org>:
Bug acknowledged by developer. (Mon, 29 Aug 2011 06:12:03 GMT) Full text and rfc822 format available.

Message #20 received at 385446-done@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <gio@debian.org>
To: 385446-done@bugs.debian.org
Subject: Closing
Date: Mon, 29 Aug 2011 08:08:46 +0200
[Message part 1 (text/plain, inline)]
Hi.

The two problems delared in this report appear to be fixed, so I'm
closing the bug.

Please, reopen it if you still have problems.

Giovanni.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org

[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 Sep 2011 07:31:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:53:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.